<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
/**
 * RedirectEE
 *
 * @package             RedirectEE
 * @author              Rein de Vries (info@reinos.nl)
 * @copyright           Copyright (c) 2013 Rein de Vries
 * @link                http://reinos.nl/add-ons/redirectee
 */

$plugin_info = array(
'pi_name' => 'Redirectee',
'pi_version' => '1.2.1',
'pi_author' => 'reinos.nl',
'pi_author_url' => 'http://www.reinos.nl',
'pi_description' => 'Redirect/Refresh with PHP header',
'pi_usage' => Redirectee::usage()
);

class Redirectee
{
    private $EE; 

    /**
    * Constructor
    * 
    * @return unknown_type
    */
    function __construct()
    {     
        $this->EE =& get_instance(); 

        $this->url = $this->EE->TMPL->fetch_param('url', '');
        $this->status = $this->EE->TMPL->fetch_param('status', 302);
        $this->time = $this->EE->TMPL->fetch_param('time', '5'); 
        $this->replace = $this->EE->TMPL->fetch_param('replace', false);     
    }

    // ----------------------------------------

    /**
    * redirect 
    * 
    * @return unknown_type
    */
    function redirect()
    {
         //avoid using 404 status
        if($this->status == '404' || $this->status == 404)
        {
            $this->status = 302;
        }
        
        header('Location: '.$this->url, $this->replace, $this->status);
        exit;
    }

    // ----------------------------------------

    /**
    * Location / alias for redirect 
    * 
    * @return unknown_type
    */
    function location()
    {
        $this->redirect();
    }

    // ----------------------------------------

    /**
    * Refresh 
    * 
    * @return unknown_type
    */
    function refresh()
    {
        @header('refresh:'.$this->time.';url='.$this->url, $this->replace, $this->status);
    }



    //  Plugin Usage
    // ----------------------------------------
    function usage()
    {
        ob_start();
        ?>

        =============================
        examples 
        =============================
        {exp:redirectee:refresh time="5" status="302" url="www.google.nl"}
        {exp:redirectee:redirect status="302" url="www.google.nl"}

        Or an alias for redirect
        {exp:redirectee:location status="302" url="www.google.nl"}


        <?php
        $buffer = ob_get_contents();

        ob_end_clean();

        return $buffer;
    }
// END
}
